codex/urls.py
from django.contrib import admin
from django.urls import path, include
from web.views import home

urlpatterns = [
    path('', home, name='home'),
    path('category/', include('web.urls')),
    path('admin/', admin.site.urls),
]

web/urls.py
from django.urls import path

from . import views

app_name = 'web'

urlpatterns = [
    # category
    path('<int:category_id>/', views.category_show, name='category.show'),
    # tech
    path('<int:category_id>/tech/<int:tech_id>', views.tech_show, name="tech.show"),
    # search resources
    path('search', views.search_resources, name="search"),
]

web/models.py
from django.core.validators import MinValueValidator, MaxValueValidator
from django.db import models


class Category(models.Model):
    title = models.CharField(max_length=100)
    description = models.CharField(max_length=100, blank=True, default='No description')
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)
    
    def __str__(self):
        return self.title


class Tech(models.Model):
    title = models.CharField(max_length=100)
    description = models.CharField(max_length=255, blank=True, default='No description')
    category = models.ForeignKey(Category, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

    def __str__(self):
        return self.title


class Resource(models.Model):
    title = models.CharField(max_length=255, blank=True, default='No description')
    description = models.TextField(max_length=500)
    url = models.URLField(max_length=200, default="#")
    is_official = models.BooleanField(default=False)
    rating = models.PositiveSmallIntegerField(default=0, validators=[MinValueValidator(1), MaxValueValidator(5)])
    tech = models.ForeignKey(Tech, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

    def __str__(self):
        return self.title

web/views.py
from django.http import HttpResponse
from django.shortcuts import render, get_object_or_404
from .models import Category, Resource
from .models import Tech
from django.contrib.postgres.search import SearchQuery, SearchVector, SearchRank


def home(request):
    return render(request, 'web/home.html')


def search_resources(request):
    search_terms = request.POST['search_terms']
    search_type = request.POST['search_type']

    # create and weight each vector, then combine
    v1 = SearchVector('title', weight='A')
    v2 = SearchVector('description', weight='B')
    v3 = SearchVector('url', weight='C')
    vector = v1 + v2 + v3

    # create the search query
    query = SearchQuery(search_terms, search_type=search_type)
    rank = SearchRank(vector, query)
    search_results = Resource.objects.annotate(rank=rank).filter(rank__gte=0.1).order_by('rank')

    context = {
        'search_results': search_results,
        'search_results_count': search_results.count()
    }
    return render(request, 'web/search/results.html', context)


def category_show(request, category_id):
    category = get_object_or_404(Category, pk=category_id)
    context = {'category': category}
    return render(request, 'web/category/show.html', context)


def tech_show(request, category_id, tech_id):
    tech = get_object_or_404(Tech, pk=tech_id)
    context = { 
        'tech': tech,
        'resource_count': tech.resource_set.count()
    }
    return render(request, 'web/tech/show.html', context)

web/templates/web/base.html
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="A web development resource repository">
    <meta name="author" content="Cedric Twillie">
    <!-- Theme Main CSS -->	  
    <link type="text/css" rel="stylesheet" href="{% static 'web/css/style.css' %}"/>
    <link id="avestaMode" rel="stylesheet" href="{% static 'web/css/skin/skin.light-skin.css' %}">
    <!-- Theme Favicon -->
    <link rel="icon" href="{% static 'web/images/favicon.ico' %}" type="image/x-icon">
    <title>{% block title %}Codex{% endblock title %}</title>
  </head>
  <body>

    <div class="page-container">
        {% include 'web/theme/sidebar.html' %}
        <div class="page-content">
          {% include 'web/theme/header.html' %}
          {% block content %}{% endblock content %}
          {% include 'web/theme/footer.html' %}
        </div>
    </div>

    <!-- Scroll To Top Start-->
    <!-- @todo: fix scroll top icon position -->
    <a href="" data-click="scroll-top" class="btn-scroll-top fade"><i class="fa fa-arrow-up"></i></a>
    <!-- Scroll To Top End -->

    <!-- Template Customizer Start-->
    <!-- The avesta template customizer goes here if ever it needs to be added -->
    <!-- Template Customizer End -->

    <script src="{% static 'web/plugins/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'web/plugins/jquery-ui/jquery-ui.js' %}"></script>
    <script src="{% static 'web/plugins/moment/moment.min.js' %}"></script>
    <script src="{% static 'web/plugins/popper/popper.js' %}"></script>
    <script src="{% static 'web/plugins/feather/feather.min.js' %}"></script>
    <script src="{% static 'web/plugins/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'web/plugins/typeahead/typeahead.js' %}"></script>
    <script src="{% static 'web/plugins/typeahead/typeahead-active.js' %}"></script>
    <script src="{% static 'web/plugins/pace/pace.min.js' %}"></script>
    <script src="{% static 'web/plugins/slimscroll/jquery.slimscroll.min.js' %}"></script>
    <script src="{% static 'web/plugins/highlight/highlight.min.js' %}"></script>
    <!-- Required Script -->
    <script src="{% static 'web/js/app.js' %}"></script>
    <script src="{% static 'web/js/avesta.js' %}"></script>
    <script src="{% static 'web/js/avesta-customizer.js' %}"></script>
  </body>
</html>

web/templates/web/home.html
{% extends 'web/base.html' %}

{% block content %}

    {% include 'web/theme/default-content.html' %}

{% endblock content %}

web/templates/web/pages/aut-error404.html
<!DOCTYPE html>
<html lang="zxx">
   <head>
      <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
      <meta charset="utf-8">
      <meta http-equiv="x-ua-compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="keyword" content="">
      <meta name="author"  content=""/>
      <!-- Page Title -->
      <title>404-Error | Avesta - Multipurpose Admin Dashboard Template</title>
      <!-- Main CSS -->	  
      <link type="text/css" rel="stylesheet" href="assets/css/style.css"/>
      <!-- Favicon -->	
      <link rel="icon" href="assets/images/favicon.ico" type="image/x-icon">
      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
   </head>
   <body>
      <!--================================-->
      <!-- 404 Start -->
      <!--================================-->	
      <div class="ht-100v d-flex bg-gradient pd-20">
         <div class="card shadow-none mx-auto text-center bd-transparent bg-transparent align-self-center">
            <h1 class="tx-bold tx-140 tx-gray-100">4<span class="text-danger">0</span>4</h1>
            <h3 class="tx-36 tx-gray-100">404 Page not found!</h3>
            <p class="tx-gray-200">Seems you're looking for something that doesn't exist.</p>
            <div class="form-group">
               <div class="input-group"><input type="text" class="form-control" placeholder="Search..."> <span class="input-group-append"><button type="button" class="btn btn-primary">Search</button></span></div>
            </div>
            <div class="text-center tx-gray-100">
               <p>Copyright &copy; 2019.</p>
            </div>
         </div>
      </div>
      <!--/  404 End -->
      <!--================================-->
      <!-- Footer Script -->
      <!--================================-->	
      <script src="assets/plugins/jquery/jquery.min.js"></script>
      <script src="assets/plugins/jquery-ui/jquery-ui.js"></script>
      <script src="assets/plugins/popper/popper.js"></script>
      <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>
      <script src="assets/plugins/pace/pace.min.js"></script>
      <script src="assets/js/jquery.slimscroll.min.js"></script>
      <script src="assets/js/custom.js"></script>
   </body>
</html>

web/templates/web/pages/aut-logign-register.html
<!DOCTYPE html>
<html lang="zxx">
   <head>
      <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
      <meta charset="utf-8">
      <meta http-equiv="x-ua-compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="keyword" content="">
      <meta name="author"  content=""/>
      <!-- Page Title -->
      <title>Unlock | Avesta - Multipurpose Admin Dashboard Template</title>
      <!-- Main CSS -->	  
      <link type="text/css" rel="stylesheet" href="assets/css/style.css"/>
      <!-- Favicon -->	
      <link rel="icon" href="assets/images/favicon.ico" type="image/x-icon">
      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
   </head>
   <body>
      <!--================================-->
      <!-- User Unlock Start -->
      <!--================================-->			
      <div class="ht-100v d-flex bg-gradient">
         <div class="pd-20 mx-auto text-center align-self-center">
            <div class="login-wrapper">
               <div class="loginbox">
                  <div class="login pd-y-25 pd-lg-x-100 pd-sm-x-20 pd-x-20 align-self-center bd-gray-300 bd-r">
                     <h3 class="tx-dark mg-b-5 tx-left">Sign In</h3>
                     <p class="tx-gray-500 tx-15 mg-b-40">Welcome back! Please signin to continue.</p>
                     <div class="form-group tx-left">
                        <label class="tx-gray-500 mg-b-5">Email address</label>
                        <input type="email" class="form-control" placeholder="email@domain.com">
                     </div>
                     <div class="form-group">
                        <div class="d-flex justify-content-between mg-b-5">
                           <label class="tx-gray-500 mg-b-0">Password</label>
                           <a href="" class="tx-13 mg-b-0 tx-semibold">Forgot password?</a>
                        </div>
                        <input type="password" class="form-control" placeholder="Enter your password">
                     </div>
                     <a href="" class="btn btn-brand btn-block">Sign In</a>
                     <div class="pd-y-20 tx-uppercase tx-gray-500">or</div>
                     <button class="btn bg-facebook">Facebook</button>
                     <button class="btn bg-twitter">Twitter</button>
                     <button class="btn bg-linkedin">Linkedin</button>
                     <div class="tx-13 mg-t-20 tx-center tx-gray-500">Don't have an account? <a href="aut-signup.html" class="tx-dark tx-semibold">Create an Account</a></div>
                  </div>
				  
                  <div class="singup pd-y-25 pd-lg-x-100 pd-md-x-20 align-self-center hidden-xs">
                     <h3 class="tx-dark mg-b-5 tx-left">Sign Up</h3>
                     <p class="tx-gray-500 tx-15 mg-b-40">Welcome back! Please signin to continue.</p>
                     <div class="form-group tx-left">
                        <label class="tx-gray-500 mg-b-5">Email address</label>
                        <input type="email" class="form-control" placeholder="yourname@yourmail.com">
                     </div>
                     <div class="form-group">
                        <div class="d-flex justify-content-between mg-b-5">
                           <label class="tx-gray-500 mg-b-0">Password</label>
                        </div>
                        <input type="password" class="form-control" placeholder="Enter your password">
                     </div>
                     <div class="form-group">
                        <div class="d-flex justify-content-between mg-b-5">
                           <label class="tx-gray-500 mg-b-0">First Name</label>
                        </div>
                        <input type="password" class="form-control" placeholder="First Name">
                     </div>
                     <div class="form-group">
                        <div class="d-flex justify-content-between mg-b-5">
                           <label class="tx-gray-500 mg-b-0">Last Name</label>
                        </div>
                        <input type="password" class="form-control" placeholder="Last Name">
                     </div>
                     <a href="" class="btn btn-brand btn-block">Create Account</a>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!--/ User Unlock End -->
      <!--================================-->
      <!-- Footer Script -->
      <!--================================-->
      <script src="assets/plugins/jquery/jquery.min.js"></script>
      <script src="assets/plugins/jquery-ui/jquery-ui.js"></script>
      <script src="assets/plugins/popper/popper.js"></script>
      <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>
      <script src="assets/plugins/pace/pace.min.js"></script>
      <script src="assets/js/jquery.slimscroll.min.js"></script>
      <script src="assets/js/custom.js"></script>
   </body>
</html>

web/templates/web/partials/navigation/resources.html
{% for category in categories %}
<li>
{#    {% if forloop.counter == 1 %}class="open active"{% endif %}#}
    <a href=""><i data-feather="code"></i>
    <span>{{ category.title }}</span><i class="accordion-icon fa fa-angle-left"></i></a>
    <ul class="sub-menu" style="display: block;">
        {% for tech in category.tech_set.all %}
            <li><a href="{% url 'web:tech.show' category.id tech.id %}">{{ tech.title }}</a></li>
        {% endfor %}
    </ul>
</li>
{% endfor %}

web/templates/web/search/results.html
{% extends 'web/base.html' %}

{% block title %}
    Codex - Search Results
{% endblock title %}

{% block content %}
<div class="page-inner">
    <!-- Main Wrapper -->
    <div id="main-wrapper">
        <!-- Search Start -->
        <!--================================-->
        <div class="row d-block">
            <div class="mg-b-30 pd-x-15 bd-t-0-force bd-r-0-force bd-b-0-force bd-l-0-force">
                <div class="input-group pd-y-50 mx-auto">

                    <!-- Search Form Start -->
                    <form action="{% url 'web:search' %}" method="POST" class="input-group pd-y-50 mx-auto py-0">
                        {% csrf_token %}
                        <input type="text" name="search_terms" class="form-control form-control-lg" placeholder="Search Here...">
                        <!-- Search Options -->
                        <div class="input-group-append">
                          <button type="submit" class="btn btn-custom-primary"> <i class="fa fa-search mg-r-5"></i> Search</button>
                          <button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="sr-only">Toggle Dropdown</span>
                          </button>
                          <div class="dropdown-menu">
                              <li class="dropdown-item">
                                <div class="custom-control custom-radio">
                                    <input name="search_type" value="plain" type="radio" class="custom-control-input" id="plain" checked>
                                    <label class="custom-control-label" for="plain">plain</label>
                                </div>
                              </li>
                              <li class="dropdown-item">
                                <div class="custom-control custom-radio">
                                    <input name="search_type" value="phrase" type="radio" class="custom-control-input" id="phrase">
                                    <label class="custom-control-label" for="phrase">phrase</label>
                                </div>
                              </li>
    {#                        <a class="dropdown-item" href="#">Action</a>#}
    {#                        <a class="dropdown-item" href="#">Another action</a>#}
    {#                        <a class="dropdown-item" href="#">Something else here</a>#}
    {#                        <div class="dropdown-divider"></div>#}
    {#                        <a class="dropdown-item" href="#">Separated link</a>#}
                          </div>
                        </div>
                    </form>
                    <!-- Search Form End -->

                </div>
                <span class="tx-16 mg-b-30 d-block">
                Results for <h5 class="bold d-inline-block">{{ tech.title }}</h5>
                <small class="tx-italic tx-gray-500"> __About {{ search_results_count }} result{{ search_results_count|pluralize}}</small>
                </span>
                <div class="row clearfix">
                    <div class="col-lg-8 ">

                        <!-- Resource List Start -->
                        {% for resource in search_results %}
                        <div>
                            <a class="tx-16 tx-semibold" href="">{{ resource.title }}</a>
                            <br>
                            <div class="d-inline">
                                <a class="mg-r-25 tx-primary" target="_blank" href="{{ resource.url }}">{{ resource.url }}</a>
                                <div>
                                    <span class="fa fa-star tx-orange"></span>
                                    <span class="fa fa-star tx-orange"></span>
                                    <span class="fa fa-star tx-orange"></span>
                                    <span class="fa fa-star tx-orange"></span>
                                    <span class="fa fa-star tx-orange"></span>
                                </div>
                                <small class="tx-gray-500">
                                    <span class="mg-r-5">5 Star</span>
                                    <span>12,500 vote</span>
                                </small>
                            </div>
                            <p class="mt-2 tx-gray-700">{{ resource.description }}</p>
                        </div>
                        {% endfor %}
                        <!-- Resource List End -->

                    </div>
                </div>
            </div>
        </div>
        <!--/ Search End -->
    </div>
    <!--/ Main Wrapper End -->


                <div class="row clearfix">
                <div class="col-lg-8 ">
                    <div>
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <a href="" class="tx-semibold">Download</a>
                                <p class="mt-1 tx-gray-700">Authoritatively procrastinate long-term high-impact best practices after visionary platforms...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Pricing</a>
                                <p class="mt-1 tx-gray-700">Enthusiastically provide access to extensive testing procedures enabled communities...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Comments</a>
                                <p class="mt-1 tx-gray-700">Collaboratively disseminate B2C networks after stand-alone synergy. Continually promote...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Reviews</a>
                                <p class="mt-1 tx-gray-700">Uniquely target visionary methods of empower after multimedia based...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Support</a>
                                <p class="mt-1 tx-gray-700">Assertively recaptiualize pandemic e-business after viral web services. Rapidiously incubate...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Updates</a>
                                <p class="mt-1 tx-gray-700">Competently underwhelm process centric and idea-sharing via customer directed expertise...</p>
                            </div>
                        </div>
                        <hr>
                    </div>
                    <nav>
                        <ul class="pagination justify-content-center mb-0">
                        <li class="page-item disabled">
                            <a class="page-link" href="">
                            <span class="fa fa-arrow-left"></span>
                            </a>
                        </li>
                        <li class="page-item active"><a class="page-link" href="">1</a></li>
                        <li class="page-item"><a class="page-link" href="">2</a></li>
                        <li class="page-item"><a class="page-link" href="">3</a></li>
                        <li class="page-item"><a class="page-link" href="">4</a></li>
                        <li class="page-item"><a class="page-link" href="">5</a></li>
                        <li class="page-item">
                            <a class="page-link" href="">
                            <span class="fa fa-arrow-right"></span>
                            </a>
                        </li>
                        </ul>
                    </nav>
                </div>
            </div>


</div>
{% endblock content %}

web/templates/web/tech/show.html
{% extends 'web/base.html' %}
{% load range %}

{% block title %}Codex - {{ tech.title }}{% endblock title %}

{% block content %}
<div class="page-inner">
    <!-- Main Wrapper -->
    <div id="main-wrapper">
        <!-- Search Start -->
        <!--================================-->
        <div class="row d-block">
            <div class="mg-b-30 pd-x-15 bd-t-0-force bd-r-0-force bd-b-0-force bd-l-0-force">
            <div class="input-group pd-y-50 mx-auto">

                <!-- Search Form Start -->
                <form action="{% url 'web:search' %}" method="POST" class="input-group pd-y-50 mx-auto py-0">
                    {% csrf_token %}
                    <input type="text" name="search_terms" class="form-control form-control-lg" placeholder="Search Here...">
                    <!-- Search Options -->
                    <div class="input-group-append">
                      <button type="submit" class="btn btn-custom-primary"> <i class="fa fa-search mg-r-5"></i> Search</button>
                      <button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span class="sr-only">Toggle Dropdown</span>
                      </button>
                      <div class="dropdown-menu">
                          <li class="dropdown-item">
                            <div class="custom-control custom-radio">
                                <input name="search_type" value="plain" type="radio" class="custom-control-input" id="plain" checked>
                                <label class="custom-control-label" for="plain">plain</label>
                            </div>
                          </li>
                          <li class="dropdown-item">
                            <div class="custom-control custom-radio">
                                <input name="search_type" value="phrase" type="radio" class="custom-control-input" id="phrase">
                                <label class="custom-control-label" for="phrase">phrase</label>
                            </div>
                          </li>
{#                        <a class="dropdown-item" href="#">Action</a>#}
{#                        <a class="dropdown-item" href="#">Another action</a>#}
{#                        <a class="dropdown-item" href="#">Something else here</a>#}
{#                        <div class="dropdown-divider"></div>#}
{#                        <a class="dropdown-item" href="#">Separated link</a>#}
                      </div>
                    </div>
                </form>
                <!-- Search Form End -->

            </div>
            <span class="tx-16 mg-b-30 d-block">
            Results for <h5 class="bold d-inline-block">{{ tech.title }}</h5>
            <small class="tx-italic tx-gray-500"> __About {{ resource_count }} result{{ resource_count|pluralize}}</small>
            </span>
            <div class="row clearfix">
                <div class="col-lg-8 ">
                    <div>
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <a href="" class="tx-semibold">Download</a>
                                <p class="mt-1 tx-gray-700">Authoritatively procrastinate long-term high-impact best practices after visionary platforms...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Pricing</a>
                                <p class="mt-1 tx-gray-700">Enthusiastically provide access to extensive testing procedures enabled communities...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Comments</a>
                                <p class="mt-1 tx-gray-700">Collaboratively disseminate B2C networks after stand-alone synergy. Continually promote...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Reviews</a>
                                <p class="mt-1 tx-gray-700">Uniquely target visionary methods of empower after multimedia based...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Support</a>
                                <p class="mt-1 tx-gray-700">Assertively recaptiualize pandemic e-business after viral web services. Rapidiously incubate...</p>
                            </div>
                            <div class="col-md-6 mt-2">
                                <a href="" class="tx-semibold">Updates</a>
                                <p class="mt-1 tx-gray-700">Competently underwhelm process centric and idea-sharing via customer directed expertise...</p>
                            </div>
                        </div>
                        <hr>
                    </div>
                    <!-- Resource List Start -->
                    {% for resource in tech.resource_set.all %}
                    <div>
                    <a class="tx-16 tx-semibold" target="_blank" href="{{ resource.url }}">{{ resource.title }}</a>
                        <br>
                        <div class="d-inline">
                        <a class="mg-r-25 tx-primary" target="_blank" href="{{ resource.url }}">{{ resource.url }}</a>
                        <div>
                            {% for _ in resource.rating|range %}
                                <span class="fa fa-star tx-orange"></span>
                            {% endfor %}
                        </div>
                        <small class="tx-gray-500">
                            <span class="mg-r-5">{{ resource.rating }} Star</span>
                        </small>
                        </div>
                        <p class="mt-2 tx-gray-700">{{ resource.description }}</p>
                    </div>
                    {% endfor %}
                    <!-- Resource List End -->
                    <hr>
                    <nav>
                        <ul class="pagination justify-content-center mb-0">
                        <li class="page-item disabled">
                            <a class="page-link" href="">
                            <span class="fa fa-arrow-left"></span>
                            </a>
                        </li>
                        <li class="page-item active"><a class="page-link" href="">1</a></li>
                        <li class="page-item"><a class="page-link" href="">2</a></li>
                        <li class="page-item"><a class="page-link" href="">3</a></li>
                        <li class="page-item"><a class="page-link" href="">4</a></li>
                        <li class="page-item"><a class="page-link" href="">5</a></li>
                        <li class="page-item">
                            <a class="page-link" href="">
                            <span class="fa fa-arrow-right"></span>
                            </a>
                        </li>
                        </ul>
                    </nav>
                </div>
            </div>
            </div>
        </div>
        <!--/ Search End -->				  
    </div>
    <!--/ Main Wrapper End -->
</div>
{% endblock content %}

web/templates/web/theme/footer.html
<!--================================-->
<!-- Page Footer Start -->	
<!--================================-->
<footer class="page-footer">
   <div class="pd-t-4 pd-b-0 pd-x-20">
	  <div class="tx-10 tx-uppercase tx-gray-600 tx-spacing-1">
		 <p class="pd-y-10 mb-0">Copyright© 2019 | All rights reserved. | Created By <a href="https://themeforest.net/user/colorlibcode" target="_blank">ColorlibCode</a></p>
	  </div>
   </div>
</footer>
<!--/ Page Footer End -->